%define name	libtiff
%define	version	3.8.2
%define	picver	3.8.0

%define lib_version	3.8.2
%define lib_major	3
%define lib_name_orig	%mklibname tiff
%define lib_name	%{lib_name_orig}%{lib_major}

Summary:	A library of functions for manipulating TIFF format image files
Name:		%{name}
Version:	%{version}
%define subrel 2
Release:	%mkrel 13
License:	BSD-like
Group:		System/Libraries
URL:		http://www.libtiff.org/
Source0:	ftp://ftp.remotesensing.org/pub/libtiff/tiff-%{version}.tar.bz2
Source1:	ftp://ftp.remotesensing.org/pub/libtiff/pics-%{picver}.tar.bz2
Patch0:		tiffsplit-overflow.patch
Patch1:		tiff.tiff2pdf-octal-printf.patch
#Patch2:		tiff-3.8.2-goo-sec.diff
Patch2:		libtiff-3.8.2-ormandy.patch
Patch3:		libtiff-3.8.2-lzw-bugs.patch
Patch4:		tiff-3.8.2-format_not_a_string_literal_and_no_format_arguments.diff
Patch5:		tiff-3.8.2-CVE-2009-2285.patch
Patch6:		tiff-3.8.2-CVE-2009-2347.patch
Patch7:		libtiff-jpeg-scanline.patch
Patch8:		libtiff-ycbcr-clamp.patch
Patch9:		libtiff-CVE-2010-1411.patch
Patch10:	libtiff-CVE-2010-2065.patch
Patch11:	libtiff-tiffcp-no-subsample.patch
Patch12:	libtiff-tiff2pdf-bugs.patch
Patch13:	libtiff-unknown-tags.patch
Patch14:	libtiff-3samples.patch
Patch15:	libtiff-subsampling.patch
Patch16:	libtiff-tiffdump.patch
BuildRequires:	libjpeg-devel
BuildRequires:	zlib-devel
BuildRequires:	chrpath
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The libtiff package contains a library of functions for manipulating TIFF
(Tagged Image File Format) image format files. TIFF is a widely used file
format for bitmapped images. TIFF files usually end in the .tif extension
and they are often quite large.

%package	progs
Summary:	Binaries needed to manipulate TIFF format image files
Group:		Graphics
Requires:	%{lib_name} = %{version}
Obsoletes:	libtiff3-progs
Provides:	libtiff3-progs = %{version}-%{release}

%description	progs
This package provides binaries needed to manipulate TIFF format image files.

%package -n	%{lib_name}
Summary:	A library of functions for manipulating TIFF format image files
Group:		System/Libraries
Obsoletes:	%{name}
Provides:	%{name} = %{version}-%{release}

%description -n	%{lib_name}
The libtiff package contains a library of functions for manipulating TIFF
(Tagged Image File Format) image format files. TIFF is a widely used file
format for bitmapped images. TIFF files usually end in the .tif extension
and they are often quite large.

%package -n	%{lib_name}-devel
Summary:	Development tools for programs which will use the libtiff library
Group:		Development/C
Requires:	%{lib_name} = %{version}
Obsoletes:	%{name}-devel
Provides:	%{name}-devel = %{version}-%{release}
Provides:	tiff-devel = %{version}-%{release}

%description -n	%{lib_name}-devel
This package contains the header files and .so libraries for developing
programs which will manipulate TIFF format image files using the libtiff
library.

%package -n	%{lib_name}-static-devel
Summary:	Static libraries for programs which will use the libtiff library
Group:		Development/C
Requires:	%{lib_name}-devel = %{version}
Provides:	%{name}-static-devel = %{version}-%{release}
Provides:	tiff-static-devel = %{version}-%{release}

%description -n	%{lib_name}-static-devel
This package contains the static libraries for developing
programs which will manipulate TIFF format image files using the libtiff
library.

%prep

%setup -q -n tiff-%{version} -a 1
ln -s pics-* pics
%patch0 -p1 -b .cve-2006-2656
%patch1 -p1 -b .cve-2006-2193
%patch2 -p1 -b .cve-2006-3459-thru-3465
%patch3 -p1 -b .cve-2008-2327
%patch4 -p0 -b .format_not_a_string_literal_and_no_format_arguments
%patch5 -p1 -b .CVE-2009-2285
%patch6 -p1 -b .CVE-2009-2347
%patch7 -p1 -b .jpeg-scanline
%patch8 -p1 -b .CVE-2010-2595
%patch9 -p1 -b .CVE-2010-1411
%patch10 -p1 -b .CVE-2010-2065
%patch11 -p1 -b .tiffcp-no-subsample
%patch12 -p1 -b .tiff2pdf-bugs
%patch13 -p1 -b .CVE-2010-2481
%patch14 -p1 -b .CVE-2010-2483
%patch15 -p1 -b .CVE-2010-2597
%patch16 -p1 -b .tiffdump

%build
find . -type 'd' -name 'CVS' | xargs rm -fr
#%%{?__cputoolize: %{__cputoolize}}

export LDFLAGS="%{ldflags}"
export CFLAGS="%{optflags}"
export CXXFLAGS="%{optflags}"

%configure2_5x \
    --with-GCOPTS="%{optflags}"

%make

%check
make check

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}/{%{_bindir},%{_datadir}}

%makeinstall

install -m0644 libtiff/tiffiop.h %{buildroot}%{_includedir}/
install -m0644 libtiff/tif_dir.h %{buildroot}%{_includedir}/

# let %doc handle this
rm -fr %{buildroot}%{_docdir}/tiff-%{version}

# multiarch policy
%multiarch_includes %{buildroot}%{_includedir}/tiffconf.h

# rpmlint
chrpath -d %{buildroot}%{_bindir}/*
chrpath -d %{buildroot}%{_libdir}/libtiffxx.so.%{version}

%if %mdkversion < 200900
%post -n %{lib_name} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{lib_name} -p /sbin/ldconfig
%endif

%clean
rm -rf %{buildroot}

%files progs
%defattr(-,root,root,-)
%{_bindir}/*
%{_mandir}/man1/*

%files -n %{lib_name}
%defattr(-,root,root,-)
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root,755)
%doc COPYRIGHT README TODO VERSION html
%{_includedir}/*.h*
%{multiarch_includedir}/tiffconf.h
%{_libdir}/*.la
%{_libdir}/*.so
%{_mandir}/man3/*

%files -n %{lib_name}-static-devel
%defattr(-,root,root,-)
%doc COPYRIGHT README TODO VERSION
%{_libdir}/*.a




%changelog
* Thu Aug 05 2010 Oden Eriksson <oeriksson@mandriva.com> 3.8.2-13.2mdv2009.1
- sync with libtiff-3.8.2-7.el5_5.5.src.rpm which fixes:
- P2: new patch for CVE-2006-3459-thru-3465
- P7: http://bugzilla.maptools.org/show_bug.cgi?id=1936 (Reading YCbCr JPEG-in-TIFF files via TIFFReadScanline doesn't work)
- P8: security fix for CVE-2010-2595
- P9: security fix for CVE-2010-1411
- P10: security fix for CVE-2010-2065
- P11: http://bugzilla.maptools.org/show_bug.cgi?id=2097 (JPEG in TIFF broken)
- P12: http://bugzilla.maptools.org/show_bug.cgi?id=2211 (Assorted silliness in tiff2pdf)
- P13: security fix for CVE-2010-2481
- P14: security fix for CVE-2010-2483
- P15: security fix for CVE-2010-2597

* Mon Jul 13 2009 Oden Eriksson <oeriksson@mandriva.com> 3.8.2-13.1mdv2009.1
- P5: security fix for CVE-2009-2285 (redhat)
- P6: security fix for CVE-2009-2347 (redhat)
- sync spec file changes from cooker

* Thu Dec 18 2008 Oden Eriksson <oeriksson@mandriva.com> 3.8.2-13mdv2009.1
+ Revision: 315623
- use LDFLAGS from the %%configure macro
- use %%optflags
- fix build with -Werror=format-security (P4)

* Fri Sep 05 2008 Oden Eriksson <oeriksson@mandriva.com> 3.8.2-12mdv2009.0
+ Revision: 281203
- P3: security fix for CVE-2008-2327

* Tue Jun 17 2008 Thierry Vignaud <tvignaud@mandriva.com> 3.8.2-11mdv2009.0
+ Revision: 223011
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers
    - adapt to %%_localstatedir now being /var instead of /var/lib (#22312)

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 3.8.2-10mdv2008.1
+ Revision: 178953
- rebuild

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Tue Oct 31 2006 Oden Eriksson <oeriksson@mandriva.com> 3.8.2-8mdv2007.0
+ Revision: 74790
- rebuild
- bzip2 cleanup
- rebuild
- bunzip patches
- Import libtiff

* Thu Sep 07 2006 Stew Benedict <sbenedict@mandriva.com> 3.8.2-5mdv2007.0
- fix %%files in -devel so we don't provide %%{multiarch_includedir}

* Wed Aug 02 2006 Stew Benedict <sbenedict@mandriva.com> 3.8.2-4mdv2007.0
- P2: security fix for CVE-2006-3459-thru-3465 
- rpmlint

* Fri Jun 16 2006 Stew Benedict <sbenedict@mandriva.com> 3.8.2-3mdv2007.0
- P1: security fix for CVE-2006-2193

* Wed Jun 07 2006 Stew Benedict <sbenedict@mandriva.com> 3.8.2-2mdv2007.0
- P0: security fix for CVE-2006-2656

* Wed Apr 19 2006 Stew Benedict <sbenedict@mandriva.com> 3.8.2-1mdk
- 3.8.2

* Thu Mar 16 2006 Olivier Blin <oblin@mandriva.com> 3.6.1-14mdk
- from Vincent Danen: security fix for CVE-2005-1544 (P105)

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 3.6.1-13mdk
- Rebuild

* Fri Aug 19 2005 Olivier Blin <oblin@mandriva.com> 3.6.1-12mdk
- from Stew Benedict: security update for CAN-2005-2452 (P104)

* Wed Mar 23 2005 Olivier Blin <oblin@mandrakesoft.com> 3.6.1-11mdk
- Patch8: fix man page about tiffsplit filename range (CVS, #12071)

* Tue Mar 22 2005 Olivier Blin <oblin@mandrakesoft.com> 3.6.1-10mdk
- update Patch103: do not abort if an unknown tag is found (#13125)

* Thu Mar 10 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 3.6.1-9mdk
- build fix: do not pass cflags to make

* Mon Feb 28 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 3.6.1-8mdk
- cross-endian multiarch fixes

* Tue Jan 25 2005 Frederic Lepied <flepied@mandrakesoft.com> 3.6.1-7mdk
- parallel build
- really fix MDKSA-2005:001

* Tue Jan 25 2005 Michael Scherer <misc@mandrake.org> 3.6.1-6mdk
- security fix ( patch #102 )

* Wed Oct 27 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 3.6.1-5mdk
- added security fixes for buffer and integer overflows (P100 & P101)

* Fri Oct 08 2004 Olivier Blin <blino@mandrake.org> 3.6.1-4mdk
- fix Hylafax decoding, see :
  http://bugs.hylafax.org/bugzilla/show_bug.cgi?id=500

* Mon Sep 13 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 3.6.1-3mdk
- add missing headers
- misc spec file fixes

* Fri May 28 2004 Buchan Milne <bgmilne@linux-mandrake.com> 3.6.1-2mdk
- Merge back changes I clobbered
- rediff P0,P1,P4

* Sat May 15 2004 Buchan Milne <bgmilne@linux-mandrake.com> 3.6.1-1mdk
- 3.6.1

